[Numpy-discussion] numpy installation with nonroot python installation

charlie charlie.xia.fdu@gmail....
Mon Mar 23 13:52:30 CDT 2009


Alright, I solved this by using numscons.

On Mon, Mar 23, 2009 at 12:48 AM, charlie <charlie.xia.fdu@gmail.com> wrote:

> Dear numpyers,
>
> I am trying to install numpy 1.3 with my own version of python 2.5. I got
> stuck with following error:
> *building 'numpy.core.multiarray' extension
> compiling C sources
> C compiler: gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3 -Wall
> -Wstrict-prototypes -fPIC
>
> creating build/temp.linux-x86_64-2.5
> creating build/temp.linux-x86_64-2.5/numpy
> creating build/temp.linux-x86_64-2.5/numpy/core
> creating build/temp.linux-x86_64-2.5/numpy/core/src
> compile options: '-Ibuild/src.linux-x86_64-2.5/numpy/core/src
> -Inumpy/core/include -Ibuild/src.linux-x86_64-2.5/numpy/core/include/numpy
> -Inumpy/core/src -Inumpy/core/include
> -I/home/cmb-01/lxia/usr/include/python2.5 -c'
> gcc: numpy/core/src/multiarraymodule.c
> gcc -pthread -shared
> build/temp.linux-x86_64-2.5/numpy/core/src/multiarraymodule.o -L. -lm -lm
> -lpython2.5 -o build/lib.linux-x86_64-2.5/numpy/core/multiarray.so
> /usr/bin/ld: cannot find -lpython2.5
> collect2: ld returned 1 exit status
> /usr/bin/ld: cannot find -lpython2.5
> collect2: ld returned 1 exit status
> error: Command "gcc -pthread -shared
> build/temp.linux-x86_64-2.5/numpy/core/src/multiarraymodule.o -L. -lm -lm
> -lpython2.5 -o build/lib.linux-x86_64-2.5/numpy/core/multiarray.so" failed
> with exit status 1*
>
> I guess it is because the ld can find the libpython2.5.so; So i tried
> following methods:
> 1. $export LD_LIBRARY_PATH = $HOME/usr/lib # where my libpython2.5.so is
> in
> 2. edited the site.cfg file so that:
>     [DEFAULT]
>     library_dirs = ~/usr/lib
>     include_dirs = ~/usr/include
>     search_static_first = false
>
> Both methods don't work. But when I remove the -lpython2.5 flags from the
> compiling command, the command go through without problem. But I don know
> where to remove this flag in the numpy package. I ran out choice now and
> thus I want to get help from you. Thanks for any advice.
>
> Charlie
>
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20090323/8d7b72cc/attachment.html 


More information about the Numpy-discussion mailing list